Subject: bug#25753: closed (Re: bug#25753: 29.1; Python mode shell interaction not working 100%)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 25 Aug 2023 06:32:01 +0000

Your bug report

#25753: Python with libedit (macOS default) echoes input, breaks native completion

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
25753: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=25753
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#25753: 29.1; Python mode shell interaction not working 100%
From: Eli Zaretskii <[email-masked]>
To: Peter Mao <[email-masked]>
Cc: [email-masked]
Date: Fri, 25 Aug 2023 09:31:18 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Peter Mao <[email-masked]>
> Date: Thu, 24 Aug 2023 22:32:20 -0700
> 
> At least my version of the problem can be traced to a bug in Org's ob-python.el.  I bisected the
> commit history, found the offending commit and reported it to the org mailing list.

Thanks, I'm therefore closing this bug.  Feel free to reopen if
something needs to be done on the Emacs core side.

Subject: 25.2; Python mode shell interaction not working 100%
From: [email-masked] (Charles A. Roelli)
To: [email-masked]
Date: Thu, 16 Feb 2017 17:07:48 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

In emacs 25.2 (rc1) and 25.1, interaction with the Python shell does not
seem to be working fully.  Python version is '2.7.12 (v2.7.12:d33e0cf91556,
Jun 26 2016, 12:10:39) [GCC 4.2.1 (Apple Inc. build 5666) (dot 3)]', and
this is on Snow Leopard.

- emacs -Q
- open any Python file
- M-x run-python, and this pops up:

  Warning (python): Your ‘python-shell-interpreter’ doesn’t seem to
  support readline, yet ‘python-shell-completion-native’ was t and
  "python" is not part of the
  ‘python-shell-completion-native-disabled-interpreters’ list.  Native
  completions have been disabled locally.
  
  [and yet `import readline, rlcompleter' works fine for me]

- quit that warning, and the *Python* shell states "python.el: native
  completion setup loaded".
- test out completion in the shell, it seems to be working okay
  (`import sys RET sys . TAB' shows the attributes of `sys').  Not sure
  if this is `native' completion though.
- switch to the Python file.  Place point over a module, global
  variable, function, or function definition, and this pops up in the
  echo area (meant to be eldoc documentation, I think):

  import codecs, os;
  __pyfile = codecs.open('''/var/folders/WP/WPe0Q1iAGc0J7iI6J50jcU+++TI/-Tmp-/py1883fcQ''',encoding='''utf-8''');
  __code = __pyfile.read().encode('''utf-8''');
  __pyfile.close();
  os.remove('''/var/folders/WP/WPe0Q1iAGc0J7iI6J50jcU+++TI/-Tmp-/py1883fcQ''');
  exec(compile(__code,'''/path/to/python/buffer/here''','exec'));
  
  [some line breaks included for readability]

  The same sort of thing is returned by calling, say,
  `(python-ffap-module-path "twisted")'.  Any pointers on fixing this?

In GNU Emacs 25.2.1 (x86_64-apple-darwin10.8.0, NS appkit-1038.36 Version 10.6.8 (Build 10K549))
 of 2017-02-07 built on gray
Windowing system distributor 'Apple', version 10.3.1038
Configured using:
 'configure --with-modules'

Configured features:
JPEG RSVG NOTIFY ACL GNUTLS LIBXML2 ZLIB TOOLKIT_SCROLL_BARS NS MODULES